Google Web Toolkit
Search Google Code:

# Class DOMException

public class DOMException
extends RuntimeException
Thrown when DOM exceptions occur. Two subclasses exist: `DOMNodeException` and `DOMParseException` which give more detailed information for DOM manipulation errors and parse errors, respectively. All `DOMExceptions` thrown in this package will be instances of one of those two classes.

## Fields

code |
INVALID_ACCESS_ERR |
INVALID_CHARACTER_ERR |
INVALID_MODIFICATION_ERR |
INVALID_STATE_ERR |
SYNTAX_ERR |

## Constructors

DOMException(short, String) |

## Methods

getCode() | This method gets the code of this `DOMException`.

## Field Detail

### code

protected short code

### INVALID_ACCESS_ERR

public static final short INVALID_ACCESS_ERR

### INVALID_CHARACTER_ERR

public static final short INVALID_CHARACTER_ERR

### INVALID_MODIFICATION_ERR

public static final short INVALID_MODIFICATION_ERR

### INVALID_STATE_ERR

public static final short INVALID_STATE_ERR

### SYNTAX_ERR

public static final short SYNTAX_ERR

## Constructor Detail

### DOMException

public DOMException(short code, String message)

#### Parameters

code
message

## Method Detail

### getCode

public short getCode()
This method gets the code of this `DOMException`.

#### Return Value

the code of this `DOMException`